/* mailchimp */
.mailchimp-signup-subscribe-form {
  width: 500px;
  height: calc(100vh - 75px - 45px - 37px);
  padding: 1em;
  position: relative;
}
.mailchimp-newsletter-mergefields {
  position: absolute;
  top: 0;
  left: 500px;
  width: 250px;
  padding: 1em 1em 0 0;
}

.mailchimp-signup-subscribe-form fieldset.fieldgroup {
  position: absolute;
  top: 1em;
  left: 750px;
  width: 250px;
  height: calc(100vh - 75px - 37px);
  overflow: hidden;
}
.mailchimp-signup-subscribe-form fieldset.fieldgroup legend {
  padding: 0 calc(30px + 1em) 0 0;
}
.mailchimp-signup-subscribe-form fieldset.fieldgroup .fieldset-wrapper {
  width: 280px;
  height: calc(100% - 75px);
  overflow-y: auto;
  margin: 0;
  padding: 0;
}
.mailchimp-signup-subscribe-form fieldset.fieldgroup .form-checkboxes label {
  display: inline-block;
}
.mailchimp-signup-subscribe-form div#edit-actions {
  margin: 0;
  position: relative;
  left: calc(500px - 1em);
  width: calc(250px - 1em);
}
.mailchimp-signup-subscribe-form div#edit-actions #edit-submit {
  width: calc(250px - 1em);
}

@media only screen and (max-width: 999px) {
  .mailchimp-signup-subscribe-form {
    width: 50vw;
    height: calc(100vh - 7.5vw - 3.7vw);
  }
  .mailchimp-newsletter-mergefields {
    left: 50vw;
    width: 25vw;
  }

  .mailchimp-signup-subscribe-form fieldset.fieldgroup {
    left: 75vw;
    width: 25vw;
    height: calc(100vh - 7.5vw - 3.7vw);
  }
  .mailchimp-signup-subscribe-form fieldset.fieldgroup legend {
    padding: 0 calc(3vw + 1em) 0 0;
  }
  .mailchimp-signup-subscribe-form fieldset.fieldgroup .fieldset-wrapper {
    width: 28vw;
    height: calc(100% - 7.5vw);
  }
  .mailchimp-signup-subscribe-form div#edit-actions {
    left: calc(50vw - 1em);
    width: calc(25vw - 1em);
  }
}
  